package basic.update;

import java.io.File;

/**
 * Created by fanwang on 9/19/16.
 */
public class ApkPathManager {
    //下载下来的APK的文件保存路径
    private File savePath;

    //文件名称
    private String saveName;

    //更新时服务器提示信息
    private String serverMsg = null;

    private static ApkPathManager sInstance = null;

    private ApkPathManager(){}

    public static ApkPathManager getsInstance(){
        if(sInstance == null){
            synchronized (ApkPathManager.class){
                if(sInstance == null){
                    sInstance = new ApkPathManager();
                }
            }
        }

        return sInstance;
    }

    public File getSavePath(){
        return savePath;
    }

    public void setSavePath(File pathFile){
        savePath = pathFile;
    }

    public String getSaveName(){
        return saveName;
    }

    public void setSaveName(String apkName){
        saveName = apkName;
    }

    public String getServerMsg(){
        return serverMsg;
    }

    public void setServerMsg(String msg){
        serverMsg = msg;
    }

}
